#!/bin/sh
. $HOME/.profile
####################################################################################
# This script generates all the needed htmls from the templates and transfers them
# in to the intended directories for web dissemination
####################################################################################
#
cd $CPCI_HOME/htmls
#
mkdir -p work
cd work
#
#-----Process general htmls------------------
#
cp $CPCI_HOME/htmls/top_html_templates/fcsts_region_body.html .
cp $CPCI_HOME/htmls/top_html_templates/fcsts_region.shtml .
#
echo
echo
echo "Starting the process of creating the htmls for all the 20 domains"
echo
echo
#
for CYC in 00 06 12 18 ; do
 echo
 echo "Removing all the old htmls (if any) in $CPCI_RZDM/${CYC} directory ..."
 echo
 rm -f $CPCI_RZDM/${CYC}/*html
for rgn in afghanistan africa australia cafrica camerica casia easia eafrica europe global indian myanmar nafrica namerica natl pacific safrica samerica sasia satl ukraine wafrica ; do

   rgncp=`echo $rgn | sed -re 's/([[:lower:]])|([[:upper:]])/\U\1\L\2/g'`
   cp fcsts_region.shtml fcsts_${rgn}.shtml
   perl -pi -e 's/region/'$rgn'/g' fcsts_${rgn}.shtml
   mv fcsts_${rgn}.shtml $CPCI_RZDM/${CYC}/
   cp fcsts_region_body.html fcsts_${rgn}_body.html
   perl -pi -e 's/region/'$rgn'/g' fcsts_${rgn}_body.html
#
#--The following lines replace the token "REGION" with the actual regional names in the html files
   
case $rgncp in
   AUSTRALIA)
     perl -pi -e 's/REGION/S.E.ASIA MARITIME \& AUSTRALIA/g' fcsts_${rgn}_body.html
     ;;
   CAFRICA)
     perl -pi -e 's/REGION/CENTRAL AFRICA/g' fcsts_${rgn}_body.html
     ;;
   CAMERICA)
     perl -pi -e 's/REGION/CENTRAL AMERICA/g' fcsts_${rgn}_body.html
     ;;
   CASIA)
     perl -pi -e 's/REGION/CENTRAL ASIA/g' fcsts_${rgn}_body.html
     ;;
   EASIA)
     perl -pi -e 's/REGION/EAST ASIA/g' fcsts_${rgn}_body.html
     ;;
   EAFRICA)
     perl -pi -e 's/REGION/EAST AFRICA/g' fcsts_${rgn}_body.html
     ;;
   INDIAN)
     perl -pi -e 's/REGION/INDIAN OCEAN/g' fcsts_${rgn}_body.html
     ;;
   NAFRICA)
     perl -pi -e 's/REGION/NORTH AFRICA/g' fcsts_${rgn}_body.html
     ;;
   NAMERICA)
     perl -pi -e 's/REGION/NORTH AMERICA/g' fcsts_${rgn}_body.html
     ;;
   NATL)
     perl -pi -e 's/REGION/NORTH ATLANTIC/g' fcsts_${rgn}_body.html
     ;;
   SAFRICA)
     perl -pi -e 's/REGION/SOUTHERN AFRICA/g' fcsts_${rgn}_body.html
     ;;
   SAMERICA)
     perl -pi -e 's/REGION/SOUTH AMERICA/g' fcsts_${rgn}_body.html
     ;;
   SASIA)
     perl -pi -e 's/REGION/SOUTH ASIA/g' fcsts_${rgn}_body.html
     ;;
   SATL)
     perl -pi -e 's/REGION/SOUTH ATLANTIC/g' fcsts_${rgn}_body.html
     ;;
   WAFRICA)
     perl -pi -e 's/REGION/WEST AFRICA/g' fcsts_${rgn}_body.html
     ;;
   *)
     perl -pi -e 's/REGION/'$rgncp'/g' fcsts_${rgn}_body.html
     ;;
esac

   perl -pi -e 's/CYCLE/'$CYC'/g' fcsts_${rgn}_body.html
   mv fcsts_${rgn}_body.html $CPCI_RZDM/${CYC}/
done
done
rm -f ./*html
#
#-----Generate htmls from templates------------------
#
for CYC in 00 06 12 18 ; do
 echo
 echo "Processing the html files for $CYC cycle"
 echo
for rgn in afghanistan africa australia cafrica camerica casia easia eafrica europe global indian \
           myanmar nafrica namerica natl pacific safrica samerica sasia satl ukraine wafrica ; do
  cp ../general_html_templates/*.html .
  find . -name '*region*' -exec bash -c 'mv "$0" "${0/region/'$rgn'}"' {} \;
  perl -pi -e 's/region/'$rgn'/g' *.html
  perl -pi -e 's/CYCLE/'$CYC'/g' *.html
  mv *.html $CPCI_RZDM/${CYC}/
done
done
 echo
 echo "Completed generating all the html files"
 echo "The html files are located in the subdirectories 00 16 12 and 18 "
 echo " under $CPCI_RZDM"
 echo
#
